Bug 209819 - JavaFX FXML editor - "Navigator" window does not display the FXML file's elements hierarchy
JavaFX FXML editor - "Navigator" window does not display the FXML file's elem...
Status: RESOLVED FIXED
Product: javafx
Classification: Unclassified
Component: Project
7.1.1
PC Windows 7
: P3 (vote)
: TBD
Assigned To: Petr Somol
issues@javafx
:
Depends on:
Blocks: 204741
  Show dependency treegraph
 
Reported: 2012-03-21 04:38 UTC by david.zapata
Modified: 2012-05-12 09:59 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description david.zapata 2012-03-21 04:38:58 UTC
Product Version = NetBeans IDE 7.1.1 (Build 201202271535)
Operating System = Windows 7 version 6.1 running on amd64
Java; VM; Vendor = 1.7.0_03
Runtime = Java HotSpot(TM) 64-Bit Server VM 22.1-b02

While editing an FXML file in a Netbeans' JavaFX project, the Navigator window does not display any element hierarchy. Also, the FXML editor window does not provide any sugestions while typing some FXML element, even using the FXML xml namespace.
Comment 1 Petr Somol 2012-05-10 10:30:33 UTC
Navigator display fixed in jetmain:
http://hg.netbeans.org/jet-main/rev/d9b803f5b530
Thanks Svata for help with this.

Please note that FXML code completion is a complex issue and is still under development, see
http://netbeans.org/bugzilla/show_bug.cgi?id=204741
Comment 2 Quality Engineering 2012-05-12 09:59:56 UTC
Integrated into 'main-golden', will be available in build *201205120400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/d9b803f5b530
User: Petr Somol <psomol@netbeans.org>
Log: #209819 - Navigator window does not display FXML elements hierarchy


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo